-- phpMyAdmin SQL Dump
-- version 4.0.6deb1
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le: Mer 19 Mars 2014 à 19:12
-- Version du serveur: 5.5.35-0ubuntu0.13.10.2
-- Version de PHP: 5.5.3-1ubuntu2.2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `SpitfireBoard`
--

-- --------------------------------------------------------

--
-- Structure de la table `BOARD`
--

CREATE TABLE IF NOT EXISTS `BOARD` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CATEGORYID` bigint(20) DEFAULT NULL,
  `NAME` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_BOARD_CATEGORYID` (`CATEGORYID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `BOARD`
--

INSERT INTO `BOARD` (`ID`, `CATEGORYID`, `NAME`) VALUES
(1, 1, 'General Questions'),
(2, 1, 'HowTo'),
(3, 1, 'User Support'),
(4, 2, 'Feature Requests'),
(5, 2, 'Bug Reports'),
(6, 3, 'Project News'),
(7, 3, 'About You'),
(8, 3, 'Café');

-- --------------------------------------------------------

--
-- Structure de la table `CATEGORY`
--

CREATE TABLE IF NOT EXISTS `CATEGORY` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `CATEGORY`
--

INSERT INTO `CATEGORY` (`ID`, `NAME`) VALUES
(1, 'SpitfireBoard'),
(2, 'Development'),
(3, 'Miscellaneous');

-- --------------------------------------------------------

--
-- Structure de la table `POST`
--

CREATE TABLE IF NOT EXISTS `POST` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATIONDATE` datetime DEFAULT NULL,
  `MESSAGE` longtext,
  `topicId` bigint(20) DEFAULT NULL,
  `USERID` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_POST_topicId` (`topicId`),
  KEY `FK_POST_USERID` (`USERID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `POST`
--

INSERT INTO `POST` (`ID`, `CREATIONDATE`, `MESSAGE`, `topicId`, `USERID`) VALUES
(1, '2014-03-17 20:16:30', 'All is in the title:\r\n\r\nWhat are the supported databases?', 4, 3),
(2, '2014-03-17 20:42:20', 'Hello,\r\n\r\nSpitFireBoard supports a lot of SQL databases like MySQL or PostgreSQL.', 4, 1),
(3, '2014-03-17 21:06:30', 'Thank you! :)', 4, 3),
(4, '2014-03-19 09:29:15', 'Java is too heavy and ugly... Does this software can works without Java?', 5, 3),
(5, '2014-03-19 12:23:05', 'No troll please! I lock the topic!', 5, 2);

-- --------------------------------------------------------

--
-- Structure de la table `SEQUENCE`
--

CREATE TABLE IF NOT EXISTS `SEQUENCE` (
  `SEQ_NAME` varchar(50) NOT NULL,
  `SEQ_COUNT` decimal(38,0) DEFAULT NULL,
  PRIMARY KEY (`SEQ_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `SEQUENCE`
--

INSERT INTO `SEQUENCE` (`SEQ_NAME`, `SEQ_COUNT`) VALUES
('SEQ_GEN', 0);

-- --------------------------------------------------------

--
-- Structure de la table `TOPIC`
--

CREATE TABLE IF NOT EXISTS `TOPIC` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `boardId` bigint(20) DEFAULT NULL,
  `CREATIONDATE` datetime DEFAULT NULL,
  `LOCKED` tinyint(1) DEFAULT '0',
  `NAME` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_TOPIC_boardId` (`boardId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `TOPIC`
--

INSERT INTO `TOPIC` (`ID`, `boardId`, `CREATIONDATE`, `LOCKED`, `NAME`) VALUES
(1, 1, '2014-03-13 05:15:27', 0, 'Sed porttitor nec risus eu facilisis?'),
(2, 1, '2014-03-15 06:23:15', 0, 'Consectetur adipiscing elit?'),
(3, 1, '2014-03-15 17:36:52', 0, 'Lorem ipsum dolor sit amet?'),
(4, 1, '2014-03-17 20:16:30', 0, 'What databases are supported?'),
(5, 1, '2014-03-19 09:29:15', 1, 'Did Spitfire Board works without Java?');

-- --------------------------------------------------------

--
-- Structure de la table `USER`
--

CREATE TABLE IF NOT EXISTS `USER` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `AVATAR` varchar(255) DEFAULT NULL,
  `EMAIL` varchar(255) DEFAULT NULL,
  `PASSWORD` varchar(255) DEFAULT NULL,
  `REGISTRATIONDATE` datetime DEFAULT NULL,
  `USERNAME` varchar(255) DEFAULT NULL,
  `USERROLE` int(11) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `USER`
--

INSERT INTO `USER` (`ID`, `AVATAR`, `EMAIL`, `PASSWORD`, `REGISTRATIONDATE`, `USERNAME`, `USERROLE`) VALUES
(1, 'http://pix.toile-libre.org/upload/original/1395254326.png', 'spitfire@spitfireboard.com', '9d4e1e23bd5b727046a9e3b4b7db57bd8d6ee684', '2014-03-01 13:37:00', 'Spitfire', 0),
(2, 'http://pix.toile-libre.org/upload/original/1395254343.png', 'soarin@spitfireboard.com', '9d4e1e23bd5b727046a9e3b4b7db57bd8d6ee684', '2014-03-03 04:24:20', 'Soarin', 1),
(3, 'http://pix.toile-libre.org/upload/original/1395254354.png', 'thunderlane@spitfireboard.com', '9d4e1e23bd5b727046a9e3b4b7db57bd8d6ee684', '2014-03-19 11:42:00', 'Thunderlane', 2);

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `BOARD`
--
ALTER TABLE `BOARD`
  ADD CONSTRAINT `FK_BOARD_CATEGORYID` FOREIGN KEY (`CATEGORYID`) REFERENCES `CATEGORY` (`ID`);

--
-- Contraintes pour la table `POST`
--
ALTER TABLE `POST`
  ADD CONSTRAINT `FK_POST_USERID` FOREIGN KEY (`USERID`) REFERENCES `USER` (`ID`),
  ADD CONSTRAINT `FK_POST_topicId` FOREIGN KEY (`topicId`) REFERENCES `TOPIC` (`ID`);

--
-- Contraintes pour la table `TOPIC`
--
ALTER TABLE `TOPIC`
  ADD CONSTRAINT `FK_TOPIC_boardId` FOREIGN KEY (`boardId`) REFERENCES `BOARD` (`ID`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
